
Foreman - Feature #3751

Add id='new' to all buttons/links that create new objects

11/25/2013 04:00 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Web Interface   

Target version: 1.5.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

QE would like to request that every button/link responsible for creating new objects (i.e. Environments, Users, Roles, OS, etc) have a

id='new' attribute for easier locating UI elements during automation.

Related issues:

Related to Foreman - Bug #4441: Overriden 'link_to' is protected and breaks e... Closed 02/25/2014

Related to Foreman - Bug #11828: Undefined method 'split' for nil:NilClass tr... Closed 09/15/2015

Associated revisions

Revision bfee97b6 - 02/24/2014 04:45 PM - Lukas Zapletal

fixes #3751 - new/edit submit buttons now have id

History

#1 - 11/25/2013 04:05 PM - Og Maciel

Should have also added "Delete/Edit/Cancel/Yes/No" to that list

#2 - 11/25/2013 05:48 PM - Ohad Levy

- Status changed from New to Feedback

rails generate that ID by default to all forms, for example, a new domain would have id=new_domain, editing a domain would have

id=edit_domain_<numberical_id>

#3 - 11/25/2013 05:49 PM - Ohad Levy

- Status changed from Feedback to New

oh, i didnt read it right, you were not only talking about the form, reopening.

#4 - 12/03/2013 02:30 PM - Dominic Cleal

- Category set to Web Interface

#5 - 12/04/2013 01:35 PM - Dominic Cleal

- Target version set to 1.9.3

#6 - 12/07/2013 08:49 PM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

Taking.

#7 - 01/09/2014 02:18 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2
#8 - 01/09/2014 03:00 PM - Dominic Cleal

- Status changed from Assigned to New

- Assignee deleted (Lukas Zapletal)

#9 - 01/13/2014 10:44 AM - Lukas Zapletal

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Difficulty set to trivial

https://github.com/theforeman/foreman/pull/1146

Og please test this patch if it works for you. Should cover most cases.

#10 - 01/13/2014 02:34 PM - Og Maciel

Lukas, I applied this patch and restarted foreman. Then I tried to create a new operating system via the web ui. The New Operating system button

had the following markup:

<div class="btn-toolbar pull-right">

    <a class="btn btn-success" href="/operatingsystems/new"></a>

</div>

 I clicked it and then looked at the source for the Cancel and Submit buttons:

<form id="new_operatingsystem" class="form-horizontal well" method="post" action="/operatingsystems" accept-ch

arset="UTF-8">

    <div class="fr close-button"></div>

    <div style="margin:0;padding:0;display:inline"></div>

    <ul class="nav nav-tabs" data-tabs="tabs"></ul>

    <div class="tab-content"></div>

    <div class="form-actions">

        <a class="btn btn-default two-pane-close" href="/operatingsystems"></a>

        <input class="btn btn-primary" type="submit" value="Submit" name="commit"></input>

    </div>

</form>

 I expected to see unique IDs for the buttons but that doesn't seem to be working for this page. To be clear then, I see that the form has a unique ID

but not the buttons. Is this the intention with the patch?

#11 - 01/13/2014 10:55 PM - Og Maciel

ok, so I missed one part of the patch. Once that was fixed I did get a ID for the submit buttons but after talking to Lukaz, he will also try to add IDs to

more types of buttons (e.g. Cancel, Yes, No, etc)

#12 - 02/06/2014 12:06 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#13 - 02/24/2014 05:00 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#14 - 02/24/2014 05:31 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bfee97b6a6980b6ad4f5bd65f4b60680f08967f5.

#15 - 02/25/2014 08:33 AM - Dominic Cleal

- Related to Bug #4441: Overriden 'link_to' is protected and breaks expected use pattern added

#16 - 09/15/2015 11:02 AM - Dominic Cleal

- Related to Bug #11828: Undefined method 'split' for nil:NilClass traceback when accessing /about added
